Bug 1004669 - Submenu in right to left mode is not displayed properly
Submenu in right to left mode is not displayed properly
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity unspecified
: ER01
: 6.1.1
Assigned To: Matt Wringe
Dominik Pospisil
FixAvail
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 03:46 EDT by Filip Kiss
Modified: 2014-02-20 05:59 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
The sub-menu in portal navigation right to left mode is displayed off the screen on smaller displays. (Nexus S with 4" screen, iPhone 4 and 5). There is no work-around to this issue.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
submenu is displayed off the screen (133.53 KB, image/png)
2013-09-05 03:47 EDT, Filip Kiss
no flags Details
site editor icon (68.39 KB, image/png)
2013-09-05 05:32 EDT, Filip Kiss
no flags Details
screenshot (118.81 KB, image/png)
2013-12-13 06:08 EST, Lucas Ponce
no flags Details
screenshot 2 (85.74 KB, image/png)
2013-12-13 06:09 EST, Lucas Ponce
no flags Details
screenshot 3 (95.65 KB, image/png)
2013-12-13 07:31 EST, Lucas Ponce
no flags Details
screenshot from iOS6.1 saucelabs emulator (346.32 KB, image/png)
2013-12-13 08:43 EST, Filip Kiss
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3264 Major Resolved Topbar navigation menu issues with small screens and RTL languages 2014-02-26 01:52:06 EST
JBoss Issue Tracker GTNPORTAL-3355 Major Resolved Overlapping menus don't open properly 2014-02-26 01:52:06 EST

  None (edit)
Description Filip Kiss 2013-09-05 03:46:35 EDT
Submenu in portal navigation right to left mode is displayed off the screen on smaller displays. (Nexus S with 4" screen, iPhone 4 and 5) See attached screenshot.
Comment 1 Filip Kiss 2013-09-05 03:47:53 EDT
Created attachment 794049 [details]
submenu is displayed off the screen
Comment 3 Filip Kiss 2013-09-05 05:32:27 EDT
Created attachment 794139 [details]
site editor icon

There are also some letters in site editor button when using Right to Left with Arabic language (Android 2.3.3.)
Comment 4 Boleslaw Dawidowicz 2013-09-10 05:05:44 EDT
Leaving for 6.1.1. Not risking regressions in CR1
Comment 6 Filip Kiss 2013-12-11 07:00:27 EST
Tested on DR01, it works for me on all tested devices except for iPhone 5 - submenu is not opened after clicking on: Group -> Administration -> submenu is not opened. However, submenu is opened correctly in Site -> Mobile -> Home, JPP features. It does not work only for Group menu items.

Additional info:
iPhone 5 with iOS 6.1.2 (10B146)
Comment 7 Lucas Ponce 2013-12-13 06:08:40 EST
Created attachment 836275 [details]
screenshot

Screenshot using iPhone 5 emulator for jboss portal 6.1.1 DR1
Comment 8 Lucas Ponce 2013-12-13 06:09:26 EST
Created attachment 836276 [details]
screenshot 2

Screenshot using an iPhone 5 emulator for jboss portal 6.1.1 DR2
Comment 9 Lucas Ponce 2013-12-13 06:10:53 EST
Hello Filip,

I'm using BrowserSim emulator for iPhone 5 and I cannot reproduce issue.

Are you testing with a different emulator or directly using an iPhone device ?

Thanks,
Lucas
Comment 10 Filip Kiss 2013-12-13 06:37:49 EST
Hi Lucas,
I'm using physical device - iPhone 5 with iOS 6.1.2. Did you use this version in Emulator ? On iPhone 4 it works fine. Btw. just for clarification - I suppose it's only wrong skin of iPhone 5 on your screenshot, because I can see it has iPhone 5 aspect ratio, but skin of iPhone 4.

Filip
Comment 11 Lucas Ponce 2013-12-13 07:31:13 EST
Created attachment 836290 [details]
screenshot 3

Using a different emulator with iPhone5 (iOS 6) aspect, and I can't reproduce it.
Comment 12 Lucas Ponce 2013-12-13 07:32:53 EST
I'm going to find a different emulator to see if I can reproduce the issue.

Please, if you also can test some emulator, that can help me as I have not access to an iPhone 5 device for tests.

Thx,
Lucas
Comment 13 Filip Kiss 2013-12-13 08:43:02 EST
Created attachment 836330 [details]
screenshot from iOS6.1 saucelabs emulator

I was able to reproduce this bug on emulator from saucelabs.com. I clicked on "Administration" and nothing happened.
Comment 14 Matt Wringe 2013-12-13 09:41:43 EST
(In reply to Filip Kiss from comment #6)
> Tested on DR01, it works for me on all tested devices except for iPhone 5 -
> submenu is not opened after clicking on: Group -> Administration -> submenu
> is not opened. However, submenu is opened correctly in Site -> Mobile ->
> Home, JPP features. It does not work only for Group menu items.
> 
> Additional info:
> iPhone 5 with iOS 6.1.2 (10B146)

Just a friendly reminder, since this issue is about the submenu being displayed off screen, it should only deal with this particular issue.

If you run into another issue, you need to open another bug for it. It makes it difficult for people to find the issue if the original title and description no longer reflect what is being discussed later one.
Comment 15 JBoss JIRA Server 2013-12-23 14:51:59 EST
Peter Palaga <ppalaga@redhat.com> updated the status of jira GTNPORTAL-3355 to Resolved
Comment 16 Filip Kiss 2014-02-20 05:59:09 EST
Verified on 6.1.1.CR01

Note You need to log in before you can comment on or make changes to this bug.